Bold VideoDocs

Auth Challenges

Verify an auth challenge code

POST
/api/v1/auth/challenges/{id}/verify

Authorization

upstream_jwt
AuthorizationBearer <token>

Customer IdP JWT used by session-management client endpoints. Must match the tenant policy's issuer/audience/JWKS settings.

In: header

Path Parameters

id*string

Challenge UUID

Header Parameters

X-Bold-Tenant-Slug*string

Tenant slug for the BOLD account, for example hrtu.

Request Body

application/json

Challenge verification payload

code*string

Six-digit verification code from the latest challenge email.

Match^\d{6}$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.boldvideo.io/api/v1/auth/challenges/string/verify" \  -H "X-Bold-Tenant-Slug: string" \  -H "Content-Type: application/json" \  -d '{    "code": "string"  }'
{
  "bypassed": true,
  "expires_at": "2019-08-24T14:15:22Z",
  "session_id": "1ffd059c-17ea-40a8-8aef-70fd0307db82"
}
{
  "attempts_remaining": 0,
  "error": "bad_request",
  "retry_after": 0
}
{
  "attempts_remaining": 0,
  "error": "bad_request",
  "retry_after": 0
}
{
  "attempts_remaining": 0,
  "error": "bad_request",
  "retry_after": 0
}
{
  "attempts_remaining": 0,
  "error": "bad_request",
  "retry_after": 0
}

Resend an auth challenge code

POST
/api/v1/auth/challenges/{id}/resend

Authorization

upstream_jwt
AuthorizationBearer <token>

Customer IdP JWT used by session-management client endpoints. Must match the tenant policy's issuer/audience/JWKS settings.

In: header

Path Parameters

id*string

Challenge UUID

Header Parameters

X-Bold-Tenant-Slug*string

Tenant slug for the BOLD account, for example hrtu.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.boldvideo.io/api/v1/auth/challenges/string/resend" \  -H "X-Bold-Tenant-Slug: string"
{
  "challenge_id": "331c5928-fdd1-4016-9993-1395c38cce7b",
  "email_hint": "string",
  "expires_at": "2019-08-24T14:15:22Z",
  "ok": true,
  "resend_count": 0
}
{
  "attempts_remaining": 0,
  "error": "bad_request",
  "retry_after": 0
}
{
  "attempts_remaining": 0,
  "error": "bad_request",
  "retry_after": 0
}
{
  "attempts_remaining": 0,
  "error": "bad_request",
  "retry_after": 0
}
{
  "attempts_remaining": 0,
  "error": "bad_request",
  "retry_after": 0
}
{
  "attempts_remaining": 0,
  "error": "bad_request",
  "retry_after": 0
}
{
  "attempts_remaining": 0,
  "error": "bad_request",
  "retry_after": 0
}
{
  "attempts_remaining": 0,
  "error": "bad_request",
  "retry_after": 0
}